Fetches the block object associated with the provided block number.
Parameters
QUANTITY|TAG- A non-negative block height in decimal or0x-prefixed hexadecimal, or one of the tagsearliest,latest, andfinalized.earliestselects the genesis block,latestthe current head block, andfinalizedthe latest solidified block. Thependingandsafetags are not supported and return an invalid-parameters error.Boolean- Iftrue, returns full transaction objects; iffalse, returns only the transaction hashes.
Example
Request
curl -X POST 'https://api.shasta.trongrid.io/jsonrpc' --data '{
"jsonrpc": "2.0",
"method": "eth_getBlockByNumber",
"params": ["0xF9CC56", true],
"id": 1
}'Response
{"jsonrpc":"2.0","id":1,"result":null}